org.keycloak.models.map.storage

## Class StringKeyConvertor.StringKey

- java.lang.Object
- - org.keycloak.models.map.storage.StringKeyConvertor.StringKey

- All Implemented Interfaces:
    StringKeyConvertor<String>
  Enclosing interface:
    StringKeyConvertor<K>

      public static class StringKeyConvertor.StringKey
      extends Object
      implements StringKeyConvertor<String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.map.storage.StringKeyConvertor

      `StringKeyConvertor.StringKey, StringKeyConvertor.ULongKey, StringKeyConvertor.UUIDKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringKeyConvertor.StringKey` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringKey()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `fromString(String key)` Returns native representation of the key from String representation
    `String` | `yieldNewUniqueKey()` Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.map.storage.StringKeyConvertor

      `fromStringSafe, keyToString`

- - ### Field Detail

    - #### INSTANCE

          public static final StringKeyConvertor.StringKey INSTANCE

  - ### Constructor Detail

    - #### StringKey

          public StringKey()

  - ### Method Detail

    - #### fromString

          public String fromString(String key)

      Description copied from interface: `StringKeyConvertor`
      Returns native representation of the key from String representation
      Specified by:
        `fromString` in interface `StringKeyConvertor<String>`
      Returns:
        See above

    - #### yieldNewUniqueKey

          public String yieldNewUniqueKey()

      Description copied from interface: `StringKeyConvertor`
      Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to. The uniqueness needs to be guaranteed by e.g. using database sequences or using a random value that is proved sufficiently improbable to be repeated.
      Specified by:
        `yieldNewUniqueKey` in interface `StringKeyConvertor<String>`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.